from django.conf.urls import url
from django.contrib.auth import views as auth_views


from fotos import views

urlpatterns = [
    url(r'^$', views.home, name='home'),
    url(r'^signin/$', views.sign_in, name='signin'),
    url(r'^signout/$', views.sign_out, name='signout'),
    url(r'^u/(?P<username>[\w+@.]+)/$', views.user, name='user'),
    url(r'^p/(?P<pic_uuid>\w+)/$', views.picture, name='picture'),
    url(r'^delete/(?P<pic_uuid>\w+)/$', views.delete, name='delete'),

    # https://docs.djangoproject.com/en/1.10/topics/auth/default/#all-authentication-views
    # http://stackoverflow.com/a/31609693
    # Allows a user to reset their password by generating a one-time use link that can be used to reset the password, and sending that link to the user's registered email address.
    url(r'^accounts/reset-password/$', auth_views.password_reset, {'current_app': 'fotos'}, name='password_reset'),
    # The page shown after a user has been emailed a link to reset their password.
    url(r'^accounts/reset-password/done/$', auth_views.password_reset_done, {'current_app': 'fotos'}, name='password_reset_done'),
    # Presents a form for entering a new password.
    url(r'^accounts/reset/(?P<uidb64>[0-9A-Za-z_\-]+)/(?P<token>[0-9A-Za-z]{1,13}-[0-9A-Za-z]{1,20})/$', auth_views.password_reset_confirm, {'current_app': 'fotos'}, name='password_reset_confirm'),
    # Presents a view which informs the user that the password has been successfully changed.
    url(r'^accounts/reset/done/$', auth_views.password_reset_complete, {'current_app': 'fotos'}, name='password_reset_complete'),
]
